Package de.willuhn.jameica.hbci.rmi

# Interface SepaSammelLastBuchung

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `Duplicatable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `SepaBooking`, `SepaSammelTransferBuchung<SepaSammelLastschrift>`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Implementing Classes:
  `SepaSammelLastBuchungImpl`

public interface SepaSammelLastBuchung extends SepaSammelTransferBuchung<SepaSammelLastschrift>, Duplicatable
Interface fuer eine einzelne Buchung einer SEPA-Sammellastschrift.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCreditorId()`
Liefert die Glaeubiger-ID.
`String`
`getMandateId()`
Liefert die Mandats-ID.
`Date`
`getSignatureDate()`
Liefert das Datum der Unterschrift des Mandats.
`void`
`setCreditorId(String id)`
Speichert die Glaeubiger-ID.
`void`
`setMandateId(String id)`
Speichert die Mandats-ID.
`void`
`setSignatureDate(Date date)`
Speichert das Datum der Unterschrift des Mandats.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaBooking

`getEndtoEndId, getPurposeCode, setEndtoEndId, setPurposeCode`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransferBuchung

`getSammelTransfer, setBetrag, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setSammelTransfer, setZweck`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getMandateId

String getMandateId() throws RemoteException
Liefert die Mandats-ID.

Returns:
  die Mandats-ID.
Throws:
  `RemoteException`

### setMandateId

void setMandateId(String id) throws RemoteException
Speichert die Mandats-ID.

Parameters:
  `id` - die Mandats-ID.
Throws:
  `RemoteException`

### getCreditorId

String getCreditorId() throws RemoteException
Liefert die Glaeubiger-ID.

Returns:
  die Glaeubiger-ID.
Throws:
  `RemoteException`

### setCreditorId

void setCreditorId(String id) throws RemoteException
Speichert die Glaeubiger-ID.

Parameters:
  `id` - die Glaeubiger-ID.
Throws:
  `RemoteException`

### getSignatureDate

Date getSignatureDate() throws RemoteException
Liefert das Datum der Unterschrift des Mandats.

Returns:
  das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`

### setSignatureDate

void setSignatureDate(Date date) throws RemoteException
Speichert das Datum der Unterschrift des Mandats.

Parameters:
  `date` - das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`